Bug 1492129 (CVE-2017-14333) - CVE-2017-14333 binutils: Insuficient input validation in process_version_sections function in readelf.c
Summary: CVE-2017-14333 binutils: Insuficient input validation in process_version_sect...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-14333
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1492130 1492131
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 14:22 UTC by Pedro Sampaio
Modified: 2019-09-29 14:22 UTC (History)
15 users (show)

Fixed In Version: binutils 2.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:25:34 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-09-15 14:22:45 UTC
The process_version_sections function in readelf.c in GNU Binutils 2.29 allows
attackers to cause a denial of service (Integer Overflow, and hang because of a
time-consuming loop) or possibly have unspecified other impact via a crafted
binary file with invalid values of ent.vn_next, during "readelf -a" execution.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21990

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=452bf675ea772002aa86fb1d28f3474da70ee1de

References:

https://bugzilla.novell.com/show_bug.cgi?id=1058480
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-14333.html

Comment 1 Pedro Sampaio 2017-09-15 14:23:33 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1492130]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1492131]


Note You need to log in before you can comment on or make changes to this bug.